UNIT normJoy;

INTERFACE

uses crt;

function JoyX:WORD;
function JoyY:WORD;
function Button1:BOOLEAN;
function Button2:BOOLEAN;


IMPLEMENTATION


function JoyX:WORD;
begin
   inline($1E/$50/$52/$56/$BA/$01/$02
/$B4/$01/$BE/$00/$00/$8E/$DE/$FA/$EE/
$46/$EC/$84/$C4/$75/$FA/$FB/$89/$36/
$64/$12/$5E/$5A/$58/$1F);
   JoyX:=MemW[0:$1264];
end;
function JoyY:WORD;
begin
   inline($1E/$50/$52/$56/$BA/$01/$02
/$B4/$02/$BE/$00/$00/$8E/$DE/$FA/$EE/
$46/$EC/$84/$C4/$75/$FA/$FB/$89/$36/
$64/$12/$5E/$5A/$58/$1F);
   JoyY:=MemW[0:$1264];
end;
function Button1:BOOLEAN;
begin
  Button1:=(Port[$201] AND 16)=0;
end;
function Button2:BOOLEAN;
begin
  Button2:=(Port[$201] AND 32)=0;
end;


begin
end.
